-- Intended to be turned on on top of hard speed

local prefix = "blib_"
local cv_expert = CV_RegisterVar({
    name = prefix.."expert",
    defaultvalue = "Off",
    flags = CV_NETVAR|CV_CALL,
    PossibleValue = CV_OnOff,
	func = function(var)
		for player in players.iterate do
			BLib.SetBoost(player, "expert", 0, 0, 0, false, false, false)
		end
	end
})

local cv_experspeed = CV_RegisterVar({
    name = prefix.."expertspeed",
    defaultvalue = "0.09",
    flags = CV_NETVAR|CV_FLOAT,
    PossibleValue = CV_Unsigned
})

local cv_expertboost = CV_RegisterVar({
    name = prefix.."expertboost",
    defaultvalue = "0.07",
    flags = CV_NETVAR|CV_FLOAT,
    PossibleValue = CV_Unsigned
})

local cv_expertaccel = CV_RegisterVar({
    name = prefix.."expertaccel",
    defaultvalue = "0.31",
    flags = CV_NETVAR|CV_FLOAT,
    PossibleValue = CV_Unsigned
})

local player, str, accel, boost
addHook("MobjThinker", function(mo)
	if not (BLib and cv_expert.value) then return end
	player = mo.player
	
	str = cv_experspeed.value
	accel = cv_expertaccel.value
	boost = cv_expertboost.value	

	BLib.SetBoost(player, "expert", str, accel, boost, true, false, false)
end, MT_PLAYER)

--hostmod scoreboard
local function hmaddmod(fug)
	table.insert(server.HMNSBbalance, fug)
end

local hmload = false
local function hostmodload()
	if not hmload and HOSTMOD then
		hmaddmod({disp = "Expert Speed", var = prefix.."expert"})
		hmload  = true
	end
end

addHook("MapLoad", hostmodload)
addHook("NetVars", hostmodload) -- Joiners don't run MapLoad