local k_hyudorotimer = k_hyudorotimer
local prefix = "blib_"

local cv_hyuudoroboost = CV_RegisterVar({
    name = prefix.."hyuudoroboost",
    defaultvalue = "0.1",  -- 0.1 recommended tweak
    flags = CV_NETVAR|CV_FLOAT,
    PossibleValue = {MIN = 0, MAX = INT32_MAX},
})

local cv_hyuudoroaccel = CV_RegisterVar({
    name = prefix.."hyuudoroaccel",
    defaultvalue = "0.5", -- 1.0 recommended tweak
    flags = CV_NETVAR|CV_FLOAT,
    PossibleValue = {MIN = 0, MAX = INT32_MAX},
})

addHook("MobjThinker", function(mo)
	if not BLib then return end
	if mo.player.kartstuff[k_hyudorotimer] then
		BLib.SetBoost(mo.player, "hyuu", cv_hyuudoroboost.value, cv_hyuudoroaccel.value, nil, true, false, false)
	else
		BLib.SetBoost(mo.player, "hyuu")
	end
end, MT_PLAYER)